uses math;

var
  n, d: longint;
begin
//	assign(input, 'A.in'); reset(input);
//	assign(output, 'A.out'); rewrite(output);
	
	readln(n, d);
	writeln(d / (1 + cos(PI - 2 * PI / n)) : 2 : 2);
	
	close(output);
end.
